Bug Hunting Session
Bug 100692 - crash in the sidebar on deleting an image from writer
Summary: crash in the sidebar on deleting an image from writer
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.3.0 target:5.2.0 target:5.1.5
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-30 11:39 UTC by Caolán McNamara
Modified: 2016-10-25 18:40 UTC (History)
1 user (show)

See Also:
Crash report or crash signature: ["vcl::Window::setPosSizePixel(long,long,long,long,PosSizeFlags)"]


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Caolán McNamara 2016-06-30 11:39:35 UTC

    
Comment 1 Commit Notification 2016-06-30 11:49:37 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=675c8faefd8756f7c43312f23eb341797bcbca4d

Resolves: tdf#100692 crash in sidebar on deleting image from writer

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2016-07-08 11:46:27 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=18a7d6423db379ce9b4ba146aea20c55f1bda32f&h=libreoffice-5-2

Resolves: tdf#100692 crash in sidebar on deleting image from writer

It will be available in 5.2.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2016-07-08 11:46:33 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=34513f90abf15d7b5670fe3732e854d60f7358c5&h=libreoffice-5-1

Resolves: tdf#100692 crash in sidebar on deleting image from writer

It will be available in 5.1.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2016-07-08 20:30:53 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-2-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=797946a17a8c6bf7135a8adb60824e28f0176351&h=libreoffice-5-2-0

Resolves: tdf#100692 crash in sidebar on deleting image from writer

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.